package ink.wgink.service.user.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: UserAdjustmentEnum
 * @Description: 用户调整枚举
 * @Author: WangGeng
 * @Date: 2020/5/21 11:04 下午
 * @Version: 1.0
 **/
public enum UserUpdateTypeEnum {
    REST_PASSWORD("restPassword"),
    PASSWORD("password"),
    USERNAME("username");

    private String value;

    private UserUpdateTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }
}
